# DataExchange
TKSTEPAttr
StepDimTol

# StepDimTol_HArray1OfDatumReference Class Reference

`#include <StepDimTol_HArray1OfDatumReference.hxx>`

## Public Member Functions

Standard_EXPORT | StepDimTol_HArray1OfDatumReference (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepDimTol_HArray1OfDatumReference (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepDimTol_DatumReference)&V)
Standard_EXPORT void | Init (const Handle(StepDimTol_DatumReference)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepDimTol_DatumReference)&Value)
const Handle_StepDimTol_DatumReference & | Value (const Standard_Integer Index) const
Handle_StepDimTol_DatumReference & | ChangeValue (const Standard_Integer Index)
const StepDimTol_Array1OfDatumReference & | Array1 () const
StepDimTol_Array1OfDatumReference & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepDimTol_Array1OfDatumReference | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepDimTol_HArray1OfDatumReference::StepDimTol_HArray1OfDatumReference | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepDimTol_HArray1OfDatumReference::StepDimTol_HArray1OfDatumReference | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepDimTol_DatumReference)& | V
| ) |

## Member Function Documentation

const StepDimTol_Array1OfDatumReference& StepDimTol_HArray1OfDatumReference::Array1 | ( |  | ) | const

StepDimTol_Array1OfDatumReference& StepDimTol_HArray1OfDatumReference::ChangeArray1 | ( |  | ) |

Handle_StepDimTol_DatumReference& StepDimTol_HArray1OfDatumReference::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepDimTol_HArray1OfDatumReference::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepDimTol_HArray1OfDatumReference::Init | ( | const Handle(StepDimTol_DatumReference)& | V | ) |

Standard_Integer StepDimTol_HArray1OfDatumReference::Length | ( |  | ) | const

Standard_Integer StepDimTol_HArray1OfDatumReference::Lower | ( |  | ) | const

void StepDimTol_HArray1OfDatumReference::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepDimTol_DatumReference)& | Value
| ) |

Standard_Integer StepDimTol_HArray1OfDatumReference::Upper | ( |  | ) | const

const Handle_StepDimTol_DatumReference& StepDimTol_HArray1OfDatumReference::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepDimTol_Array1OfDatumReference StepDimTol_HArray1OfDatumReference::myArray `[private]`

The documentation for this class was generated from the following file:

- StepDimTol_HArray1OfDatumReference.hxx